<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pl">
<head>
<!-- Generated by javadoc (1.8.0_291) on Wed Oct 20 23:02:36 CEST 2021 -->
<title>Class Hierarchy</title>
<meta name="date" content="2021-10-20">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="com/profacilis/demo/article/package-tree.html">com.profacilis.demo.article</a>, </li>
<li><a href="com/profacilis/demo/order/package-tree.html">com.profacilis.demo.order</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/APITools.html" title="class in com.profacilis.demo.article"><span class="typeNameLink">APITools</span></a></li>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/APITools.html" title="class in com.profacilis.demo.order"><span class="typeNameLink">APITools</span></a></li>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/Article.html" title="class in com.profacilis.demo.article"><span class="typeNameLink">Article</span></a>
<ul>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/ArticleDTO.html" title="class in com.profacilis.demo.article"><span class="typeNameLink">ArticleDTO</span></a></li>
</ul>
</li>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/ArticleApplication.html" title="class in com.profacilis.demo.article"><span class="typeNameLink">ArticleApplication</span></a></li>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/ArticleApplicationTests.html" title="class in com.profacilis.demo.article"><span class="typeNameLink">ArticleApplicationTests</span></a></li>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/ArticleController.html" title="class in com.profacilis.demo.article"><span class="typeNameLink">ArticleController</span></a></li>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/ArticleDTO.html" title="class in com.profacilis.demo.order"><span class="typeNameLink">ArticleDTO</span></a></li>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/ArticleInterception.html" title="class in com.profacilis.demo.article"><span class="typeNameLink">ArticleInterception</span></a> (implements org.springframework.web.servlet.config.annotation.WebMvcConfigurer)</li>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/ArticleService.html" title="class in com.profacilis.demo.article"><span class="typeNameLink">ArticleService</span></a></li>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/Bootstrap.html" title="class in com.profacilis.demo.article"><span class="typeNameLink">Bootstrap</span></a> (implements org.springframework.boot.CommandLineRunner)</li>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/CORSFilter.html" title="class in com.profacilis.demo.order"><span class="typeNameLink">CORSFilter</span></a> (implements javax.servlet.Filter)</li>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/Order.html" title="class in com.profacilis.demo.order"><span class="typeNameLink">Order</span></a></li>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/OrderApplication.html" title="class in com.profacilis.demo.order"><span class="typeNameLink">OrderApplication</span></a></li>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/OrderController.html" title="class in com.profacilis.demo.order"><span class="typeNameLink">OrderController</span></a></li>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/OrderService.html" title="class in com.profacilis.demo.order"><span class="typeNameLink">OrderService</span></a></li>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/Reservation.html" title="class in com.profacilis.demo.article"><span class="typeNameLink">Reservation</span></a></li>
<li type="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li type="circle">java.lang.Exception
<ul>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/APITools.DemoException.html" title="class in com.profacilis.demo.article"><span class="typeNameLink">APITools.DemoException</span></a></li>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/APITools.DemoException.html" title="class in com.profacilis.demo.order"><span class="typeNameLink">APITools.DemoException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/APITools.ManagesRollback.html" title="interface in com.profacilis.demo.order"><span class="typeNameLink">APITools.ManagesRollback</span></a></li>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/APITools.ServiceThrowable.html" title="interface in com.profacilis.demo.article"><span class="typeNameLink">APITools.ServiceThrowable</span></a>&lt;T&gt;</li>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/APITools.ServiceThrowable.html" title="interface in com.profacilis.demo.order"><span class="typeNameLink">APITools.ServiceThrowable</span></a>&lt;T&gt;</li>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/APITools.ServiceVoidThrowable.html" title="interface in com.profacilis.demo.article"><span class="typeNameLink">APITools.ServiceVoidThrowable</span></a></li>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/APITools.ServiceVoidThrowable.html" title="interface in com.profacilis.demo.order"><span class="typeNameLink">APITools.ServiceVoidThrowable</span></a></li>
<li type="circle">org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;
<ul>
<li type="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,ID&gt; (also extends org.springframework.data.repository.PagingAndSortingRepository&lt;T,ID&gt;)
<ul>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/ArticleRepository.html" title="interface in com.profacilis.demo.article"><span class="typeNameLink">ArticleRepository</span></a></li>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/OrderRepository.html" title="interface in com.profacilis.demo.order"><span class="typeNameLink">OrderRepository</span></a></li>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/ReservationRepository.html" title="interface in com.profacilis.demo.article"><span class="typeNameLink">ReservationRepository</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.springframework.data.repository.Repository&lt;T,ID&gt;
<ul>
<li type="circle">org.springframework.data.repository.CrudRepository&lt;T,ID&gt;
<ul>
<li type="circle">org.springframework.data.repository.PagingAndSortingRepository&lt;T,ID&gt;
<ul>
<li type="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,ID&gt; (also extends org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/ArticleRepository.html" title="interface in com.profacilis.demo.article"><span class="typeNameLink">ArticleRepository</span></a></li>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/OrderRepository.html" title="interface in com.profacilis.demo.order"><span class="typeNameLink">OrderRepository</span></a></li>
<li type="circle">com.profacilis.demo.article.<a href="com/profacilis/demo/article/ReservationRepository.html" title="interface in com.profacilis.demo.article"><span class="typeNameLink">ReservationRepository</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">com.profacilis.demo.order.<a href="com/profacilis/demo/order/OrderStatus.html" title="enum in com.profacilis.demo.order"><span class="typeNameLink">OrderStatus</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
